## ros-ardent-image-geometry 1.12.4

=== debian/changelog ===
ros-ardent-image-geometry (1.12.4-5xenial) xenial; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Jan 2017 08:00:00 -0000

ros-ardent-image-geometry (1.12.3-5xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 04 Dec 2016 08:00:00 -0000

ros-ardent-image-geometry (1.12.2-5xenial) xenial; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * Merge pull request #142 <https://github.com/ros-perception/vision_opencv/issues/142> from YuOhara/remap_with_nan_border_value
    remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 24 Sep 2016 07:00:00 -0000

ros-ardent-image-geometry (1.12.1-5xenial) xenial; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 07:00:00 -0000

ros-ardent-image-geometry (1.12.0-5xenial) xenial; urgency=high

  * depend on OpenCV3 only
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 07:00:00 -0000

ros-ardent-image-geometry (1.11.12-5xenial) xenial; urgency=high

  * issue #117 <https://github.com/ros-perception/vision_opencv/issues/117> pull request #118 <https://github.com/ros-perception/vision_opencv/issues/118> check all distortion coefficients to see if rectification ought to be done
  * Contributors: Lucas Walter

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 Mar 2016 08:00:00 -0000

ros-ardent-image-geometry (1.11.11-5xenial) xenial; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 31 Jan 2016 08:00:00 -0000

ros-ardent-image-geometry (1.11.10-5xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 08:00:00 -0000

ros-ardent-image-geometry (1.11.9-5xenial) xenial; urgency=high

  * add a condition if D=None
  * fix compilation warnings
  * Contributors: Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Nov 2015 08:00:00 -0000

ros-ardent-image-geometry (1.11.8-5xenial) xenial; urgency=high

  * fixes #62 <https://github.com/ros-perception/vision_opencv/issues/62>, bug in Python rectifyPoint old opencv1 API
  * Simplify some OpenCV3 distinction
  * Contributors: Basheer Subei, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 15 Jul 2015 07:00:00 -0000

ros-ardent-image-geometry (1.11.7-5xenial) xenial; urgency=high

  * Merge pull request #53 <https://github.com/ros-perception/vision_opencv/issues/53> from carnegieroboticsllc/patch-1
    Update stereo_camera_model.cpp
  * Updated inline math for reprojecting a single disparity
  * Update stereo_camera_model.cpp
    Correct slight error in the Q matrix derivation
  * Updated Q matrix to account for cameras with different Fx and Fy values
  * Contributors: Carnegie Robotics LLC, Matt Alvarado, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 14 Dec 2014 08:00:00 -0000

ros-ardent-image-geometry (1.11.6-5xenial) xenial; urgency=high

  * Fixes in image_geometry for Python cv2 API
  * Fixed typo: np -> numpy
  * Added missing tfFrame method to Python PinholeCameraModel.
  * Removed trailing whitespace.
  * Contributors: Daniel Maturana

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 16 Nov 2014 08:00:00 -0000

ros-ardent-image-geometry (1.11.5-5xenial) xenial; urgency=high

  * get code to work with OpenCV3
    actually fixes #46 <https://github.com/ros-perception/vision_opencv/issues/46> properly
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Sep 2014 07:00:00 -0000

ros-ardent-image-geometry (1.11.4-5xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Jul 2014 07:00:00 -0000

ros-ardent-image-geometry (1.11.3-5xenial) xenial; urgency=high

  * pinhole_camera_model: fix implicit shared_ptr cast to bool for C++11
    In C++11 boost::shared_ptr does not provide the implicit bool conversion
    operator anymore, so make the cast in pinhole_camera_model.h explicit.
    That does not hurt in older C++ standards and makes compilation with C++11
    possible.
  * Contributors: Max Schwarz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 08 Jun 2014 07:00:00 -0000

ros-ardent-image-geometry (1.11.2-5xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 28 Apr 2014 07:00:00 -0000

ros-ardent-image-geometry (1.11.1-5xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 16 Apr 2014 07:00:00 -0000

ros-ardent-image-geometry (1.11.0-5xenial) xenial; urgency=high

  * remove OpenCV 1 API
  * fixes #6 <https://github.com/ros-perception/vision_opencv/issues/6>
  * fix OpenCV dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 15 Feb 2014 08:00:00 -0000

ros-ardent-image-geometry (1.10.15-5xenial) xenial; urgency=high

  * add assignment operator for StereoCameraModel
  * fixed Python rectifyImage implementation in PinholeCameraModel
  * Added operator= for the PinholeCameraModel.
    Added the operator= for the PinholeCameraModel. I am not sure if the
    PinholeCameraModel needs to have a destructor, too. To follow the
    'rule of three' it should actually have one.
  * Contributors: Tobias Bär, Valsamis Ntouskos, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 07 Feb 2014 08:00:00 -0000


